"use strict";

exports.__esModule = true;

var React = require("react");

require("./index.css");

function UserList(_a) {
  var users = _a.users,
      size = _a.size,
      userClick = _a.userClick;
  var dataUdc = encodeURIComponent(JSON.stringify({
    ext: {
      type: "reward",
      desc: "entry",
      from: "c-reward-radar-pname"
    }
  }));
  return React.createElement("span", {
    className: "user-list-wrap"
  }, users.map(function (user, k) {
    return React.createElement("span", {
      className: "guessed-user",
      key: "user-list" + k,
      style: {
        zIndex: k
      },
      onClick: function onClick() {
        userClick(user);
      },
      "data-udc": dataUdc
    }, user.Name);
  }));
}

exports["default"] = UserList;