"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireWildcard(require("react"));

require("./index.css");

var _beisenScrollBar = _interopRequireDefault(require("@beisen/beisen-scroll-bar"));

var ScrollWrap =
/*#__PURE__*/
function (_PureComponent) {
  (0, _inherits2.default)(ScrollWrap, _PureComponent);

  function ScrollWrap() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, ScrollWrap);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(ScrollWrap)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.showStyle = '0 0 5px 0 rgba(0,0,0,0.05)';
    _this.hideStyle = '0 0 0 0 rgba(0,0,0,0.05)';
    _this.state = {
      canLoad: true
    };

    _this.handleScroll = function (data) {
      var _this$props = _this.props,
          onScrollBottom = _this$props.onScrollBottom,
          topPositionOut = _this$props.topPositionOut;
      var canLoad = _this.state.canLoad;
      var realHeight = data.realHeight,
          topPosition = data.topPosition,
          containerHeight = data.containerHeight,
          leftPosition = data.leftPosition;
      _this.topPosition = topPosition === undefined ? topPositionOut || 0 : topPosition;
      _this.leftPosition = leftPosition === undefined ? 0 : leftPosition;

      if (_this.refs.bottom && realHeight && containerHeight) {
        if (realHeight > _this.topPosition + containerHeight) {
          _this.refs.bottom.style.boxShadow = _this.showStyle;

          _this.setState({
            canLoad: true
          });
        } else {
          _this.refs.bottom.style.boxShadow = _this.hideStyle;
        }

        if (realHeight == _this.topPosition + containerHeight) {
          canLoad && onScrollBottom && onScrollBottom(_this.topPosition);
          canLoad && _this.setState({
            canLoad: false
          });
        }
      }
    };

    return _this;
  }

  (0, _createClass2.default)(ScrollWrap, [{
    key: "componentWillReceiveProps",
    value: function componentWillReceiveProps(props) {
      this.topPosition = props.topPositionOut || 0;
    }
  }, {
    key: "componentDidMount",
    value: function componentDidMount() {
      var scrollAreaBaseNode = this.refs.scroll.refs.scrollArea.content.parentElement;
      var scrollAreaWrap = scrollAreaBaseNode.parentElement;
      var scrollAreaNode = scrollAreaBaseNode.getElementsByClassName('scrollbar__content')[0];

      if (this.refs.bottom) {
        this.refs.bottom.style.boxShadow = scrollAreaNode.clientHeight > scrollAreaWrap.clientHeight ? this.showStyle : this.hideStyle;
      }
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props2 = this.props,
          width = _this$props2.width,
          height = _this$props2.height,
          children = _this$props2.children;
      return _react.default.createElement("span", {
        className: "scroll-wrap-contain",
        style: {
          width: width || '100%',
          height: height || '100%',
          paddingBottom: '0px'
        }
      }, _react.default.createElement(_beisenScrollBar.default, {
        ref: "scroll",
        topPosition: this.topPosition,
        leftPosition: this.leftPosition || 0,
        style: {
          width: width || '100%',
          height: '100%'
        },
        handleScroll: this.handleScroll
      }, children), _react.default.createElement("div", {
        ref: "bottom",
        className: "scroll-border-bottom"
      }, " "));
    }
  }]);
  return ScrollWrap;
}(_react.PureComponent);

exports.default = ScrollWrap;