"use strict";

require("core-js/modules/es6.object.set-prototype-of");

var __extends = void 0 && (void 0).__extends || function () {
  var _extendStatics = function extendStatics(d, b) {
    _extendStatics = Object.setPrototypeOf || {
      __proto__: []
    } instanceof Array && function (d, b) {
      d.__proto__ = b;
    } || function (d, b) {
      for (var p in b) {
        if (b.hasOwnProperty(p)) d[p] = b[p];
      }
    };

    return _extendStatics(d, b);
  };

  return function (d, b) {
    _extendStatics(d, b);

    function __() {
      this.constructor = d;
    }

    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
}();

exports.__esModule = true;

var React = require("react");

var Reward_1 = require("./Reward"); //打赏


var Rewarded_1 = require("./Rewarded"); //获赏公告


var componentHeader_1 = require("../../../../components/common/componentHeader");

require("./common.css");

var scrollWrap_1 = require("../../../../components/common/scrollWrap");

var helper_1 = require("../../../../helper");

var sizeProVider_1 = require("../../../../components/common/sizeProVider");

function RightCom() {
  //https://www.italent.cn/107109868/ITalentHome#
  //widget%2Fitalent%3FiTalentFrame%3D
  //http://www.italent.link/u/201038245/Home#widget%2Fitalent%3FiTalentNavId%3D12294%26iTalentFrameType%3Diframe%26iTalentFrame%3Dhttp%253A%252F%252Fwww.italent.link%252F201038245%252FUIBuilder%253Ftenant_id%2523%252F%26user_id%3D201038245%26app_id%3D100%26time_stamp%3D1528683607%26sign%3D6ecae58ab9172949995174f0e736d86e%26sign_type%3D1%23%2FCompanyContacts
  //https%253A%252F%252Fwww.italent.cn%252F107109868%252FUIBuilder%2523%252FPersonalSettings%26
  var userInfo = helper_1.getUserInfo();
  var uid = userInfo.Id;
  var bountyUrl = helper_1.getAppCenterApiUrl("/BountySetting?isvId=" + (helper_1.getBSGlobal('isv') || helper_1.getBSGlobal('ISVType') || '10001'));
  var url = "//" + helper_1.getBSGlobal('isvDomain') + "/" + uid + "/ITalentHome#" + encodeURIComponent("widget/italent?iTalentFrame=" + encodeURIComponent(bountyUrl));
  return React.createElement("span", {
    className: "right-component",
    onClick: function onClick() {
      window.open(url);
    }
  }, "\u67E5\u770B\u6211\u7684\u6253\u8D4F");
}

var RewardedWrap =
/** @class */
function (_super) {
  __extends(RewardedWrap, _super);

  function RewardedWrap() {
    var _this = _super !== null && _super.apply(this, arguments) || this;

    _this.turn = function () {
      _this.props.flipTrigger();
    };

    return _this;
  }

  RewardedWrap.prototype.render = function () {
    return React.createElement("div", {
      className: "reward-wrap"
    }, React.createElement(componentHeader_1.default, {
      icon: "font-reward",
      title: "\u83B7\u8D4F\u516C\u544A\u677F",
      color: "#ee484f",
      rightComponent: RightCom,
      outWidth: "50px"
    }), React.createElement("div", {
      className: "inner-wrap-rewarded"
    }, React.createElement(Rewarded_1.default, {
      goReward: helper_1.goReward
    })), React.createElement("span", {
      className: "icon-bottom font-flip",
      onClick: this.turn
    }));
  };

  return RewardedWrap;
}(React.Component);

var RewardWrap =
/** @class */
function (_super) {
  __extends(RewardWrap, _super);

  function RewardWrap() {
    var _this = _super !== null && _super.apply(this, arguments) || this;

    _this.turn = function () {
      _this.props.flipTrigger(_this.props.visiable);
    };

    return _this;
  }

  RewardWrap.prototype.render = function () {
    var _a = this.props,
        pHeight = _a.pHeight,
        pWidth = _a.pWidth;
    return React.createElement("div", {
      className: pWidth < 301 ? 'reward-wrap reward-wrap-little' : 'reward-wrap'
    }, React.createElement(componentHeader_1.default, {
      icon: "font-reward",
      title: "\u6253\u8D4F",
      color: "#ee484f",
      rightComponent: RightCom,
      outWidth: "50px"
    }), React.createElement(scrollWrap_1.default, {
      height: "calc(100% - 57px)"
    }, React.createElement("div", {
      className: "inner"
    }, React.createElement("div", {
      className: "inner-wrap",
      style: {
        minHeight: pHeight - 80 + 'px'
      }
    }, React.createElement(Reward_1.default, this.props)))), React.createElement("span", {
      className: "icon-bottom font-flip",
      onClick: this.turn
    }));
  };

  RewardWrap.displayTitle = '打赏获赏';
  RewardWrap.backSide = RewardedWrap;
  return RewardWrap;
}(React.Component);

exports["default"] = sizeProVider_1["default"](RewardWrap);