"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

require("./index.css");

var _react = _interopRequireWildcard(require("react"));

/*
 * @Author: xhbisme
 * @Date:   2017-06-26 11:22:05
 * @Last Modified 2017-06-26
 * @Last Modified time: 2017-06-26 07:18:12
 */

/**
 * @param {type} 1:纵向，2:横向
 * @param {icon} 1-4:四种背景图片svg，5比较特殊，我的待办专用
 * @param {width} 外围组件宽度
 */
var NoData =
/*#__PURE__*/
function (_PureComponent) {
  (0, _inherits2.default)(NoData, _PureComponent);

  function NoData() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, NoData);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(NoData)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.state = {
      height: 40,
      width: 'inherit'
    };
    return _this;
  }

  (0, _createClass2.default)(NoData, [{
    key: "getNoDataStyle",
    value: function getNoDataStyle(h) {
      if (h >= 600) {
        return {
          width: '200px',
          height: '180px'
        };
      } else if (h < 150) {
        return {
          width: '36px',
          height: '40px'
        };
      } else if (h >= 150 && h < 300) {
        return {
          width: '54px',
          height: '60px'
        };
      } else {
        return {
          width: '135px',
          height: '130px'
        };
      }
    }
  }, {
    key: "getHeight",
    value: function getHeight(h, type) {
      if (h >= 600) {
        return {
          height: '210px',
          marginTop: '-105px'
        };
      } else if (h < 150) {
        return {
          height: '70px',
          marginTop: '-35px'
        };
      } else if (h >= 150 && h < 300) {
        if (type == 2) {
          return {
            height: '60px',
            marginTop: '-30px'
          };
        }

        return {
          height: '90px',
          marginTop: '-45px'
        };
      } else {
        return {
          height: '160px',
          marginTop: '-80px'
        };
      }
    }
  }, {
    key: "componentDidMount",
    value: function componentDidMount() {
      if (this.refs.noDataWrap) {
        this.setState({
          height: this.refs.noDataWrap.clientHeight,
          width: this.refs.noDataWrap.clientWidth
        });
      }
    }
  }, {
    key: "componentDidUpdate",
    value: function componentDidUpdate(pp, ps) {
      if (this.refs.noDataWrap && (this.state.height != this.refs.noDataWrap.clientHeight || this.state.width != this.refs.noDataWrap.clientWidth)) {
        this.setState({
          height: this.refs.noDataWrap.clientHeight,
          width: this.refs.noDataWrap.clientWidth
        });
      }
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props$icon = this.props.icon,
          icon = _this$props$icon === void 0 ? 1 : _this$props$icon;
      var type = 1;
      var _this$state = this.state,
          height = _this$state.height,
          width = _this$state.width;

      if (height >= 150 && height < 300 && width && width / height >= 2) {
        type = 2;
      }

      var classNameWrap = icon == 5 ? "no-data-svg-wrap user-info-no-todos no-data-type".concat(this.props.type || type) : "no-data-svg-wrap no-data-svg".concat(icon, " no-data-type").concat(this.props.type || type);
      var showText = icon == 5 ? '你已经完成所有待办啦' : '这里什么都没有...';
      return _react.default.createElement("div", {
        className: "no-data-wrap",
        ref: "noDataWrap"
      }, _react.default.createElement("div", {
        className: "no-data-body",
        style: this.getHeight(height, type)
      }, _react.default.createElement("div", {
        className: classNameWrap,
        style: this.getNoDataStyle(height)
      }, "  "), _react.default.createElement("div", {
        className: "color-icon color".concat(icon, " no-data-type").concat(this.props.type || type)
      }, " ", showText, " ")));
    }
  }]);
  return NoData;
}(_react.PureComponent);

exports.default = NoData;