"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

require("core-js/modules/es6.object.set-prototype-of");

var __extends = void 0 && (void 0).__extends || function () {
  var _extendStatics = function extendStatics(d, b) {
    _extendStatics = Object.setPrototypeOf || {
      __proto__: []
    } instanceof Array && function (d, b) {
      d.__proto__ = b;
    } || function (d, b) {
      for (var p in b) {
        if (b.hasOwnProperty(p)) d[p] = b[p];
      }
    };

    return _extendStatics(d, b);
  };

  return function (d, b) {
    _extendStatics(d, b);

    function __() {
      this.constructor = d;
    }

    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
}();

exports.__esModule = true;

var React = require("react"); // const hoistNonReactStatic = require('hoist-non-react-statics');
// import {hoistNonReactStatic} from 'hoist-non-react-statics';


var hoist_non_react_statics_1 = require("hoist-non-react-statics"); // @ts-ignore


function dealSize(Com, removeParentPadding) {
  var SizeProvider =
  /** @class */
  function (_super) {
    __extends(SizeProvider, _super);

    function SizeProvider() {
      var _this = _super !== null && _super.apply(this, arguments) || this;

      _this.state = {};
      return _this;
    }

    SizeProvider.prototype.componentDidMount = function () {
      if (this.anyComponent && removeParentPadding) {
        var node = this.anyComponent.parentElement;

        if (node) {
          node.style.padding = '0px';
          node.style.border = 'none';
        }
      }

      this.getSize();
    };

    SizeProvider.prototype.getSize = function () {
      var _a = this.state,
          pWidth = _a.pWidth,
          pHeight = _a.pHeight;

      if (this.anyComponent) {
        var newH = this.anyComponent.clientHeight;
        var newW = this.anyComponent.clientWidth;

        if (pWidth && pHeight && pWidth == newW && pHeight == newH) {
          return;
        } else {
          this.setState({
            pHeight: newH,
            pWidth: newW
          });
        }
      }
    };

    SizeProvider.prototype.componentDidUpdate = function () {
      this.getSize();
    };

    SizeProvider.prototype.render = function () {
      var _this = this;

      return React.createElement("div", {
        style: {
          width: '100%',
          height: '100%'
        },
        ref: function ref(anyComponent) {
          _this.anyComponent = anyComponent;
        }
      }, React.createElement(Com, (0, _extends2.default)({}, this.props, this.state)));
    };

    return SizeProvider;
  }(React.PureComponent);

  hoist_non_react_statics_1["default"](SizeProvider, Com);
  return SizeProvider;
}

exports["default"] = dealSize;